<?php
/*
'#################################################################
'# 程序名称：中环CMSV2.0
'# 授权方式：免费软件
'# 作者：善
'# 联系QQ:9118847
'# 作者网站:http://www.ps173.com
'# 发布时间：2015-6-10
'# 声明：欢迎广大的PHP爱好者一起共同探讨
'# 声明：各种用途均可免费使用、自由传播，但必须保留程序代码中的版权信息。
'#################################################################
 */

//控制器入口
class Action extends Html{
		//初始化控制器
	public function run(){
		if(method_exists($this, "init")){
			call_user_func(array($this, "init"));
		}

		$method = $_GET["a"];
		if(method_exists($this, $method)){
			call_user_func(array($this, $method));
		}else{
			$this->msg("<font color='red'>找不到{$_GET["a"]}这个操作</font>");
		}
	}
		//提示消息
	public function msg($msg, $url = 'back', $delay = 2000) {
		if ($url) {
			$msg .= '<script type="text/javascript">';
			if ($url == 'back') $url = 'javascript:history.go(-1);';
			elseif ($url == 'close') $url = 'javascript:window.close();';
			elseif ($url == 'reload') $url = 'javascript:location.reload();';
			if ($delay > 0) $msg .= 'setTimeout("document.location=\'' . $url . '\'", ' . $delay . ');';
			else $msg .= 'document.location="' . $url . '";';
			$msg .= '</script>';
		}
		$this -> assign('msg', $msg);
		$this -> assign('surl', $url);
		$this->display("public/msg");
		exit;
	}
		//设置跳转
	public function jump($path, $args=null){
		$path =trim($path, "/");
		if($args != null)
			$args= "/".trim($args, "/");

		if(strstr($path, "/")){
			$url = $path.$args;
		}else{
			$url = $_GET["m"]."/".$path.$args;
		}

		$url = B_APP.'/'.$url;
		echo '<script>';
		echo 'location="'.$url.'"';
		echo '</script>';
	}
		//权限设置
	public function manage($m, $arr=array(), $user){
		if(in_array($m, $arr) && $user !== 1){
			return true;
		}
	}

}

?>